GNU bug report logs - #56573
29.0.50; Cannot yank any more from X selection

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jean Louis <bugs@HIDDEN>; Keywords: moreinfo; dated Fri, 15 Jul 2022 12:02:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 56573 <at> debbugs.gnu.org:


Received: (at 56573) by debbugs.gnu.org; 24 Jul 2022 09:22:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 24 05:22:12 2022
Received: from localhost ([127.0.0.1]:46858 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oFXoR-0001qB-NY
	for submit <at> debbugs.gnu.org; Sun, 24 Jul 2022 05:22:11 -0400
Received: from quimby.gnus.org ([95.216.78.240]:43518)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oFXoQ-0001pu-BO
 for 56573 <at> debbugs.gnu.org; Sun, 24 Jul 2022 05:22:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=RVJKh8oy6jXAP8Kqy2RdFc8YMSK+rg4S+0y8KqyRavc=; b=npsVw99XsJJTOXWafsKCl3zI/N
 n3XFYfo47EDVwBN7j1Odp3Os1EzJlPierBW0V0MX3aOxLmHPaBDMjylVdTVpePBjgguIRfg14TxFS
 7cev6oJTCyNQx24d5iKq8TNAmTiJCNSI0188F8fYN/R0QVbzPK57tNog3e8DLseY6DYw=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oFXoH-0005O0-0P; Sun, 24 Jul 2022 11:22:03 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: James Cloos <cloos@HIDDEN>
Subject: Re: bug#56573: 29.0.50; Cannot yank any more from X selection
In-Reply-To: <m37d43idbw.fsf@HIDDEN> (James Cloos's message of
 "Sat, 23 Jul 2022 20:06:27 -0400")
References: <8635f27fli.fsf@HIDDEN> <87tu7ik1by.fsf@HIDDEN>
 <YtTX0E1f9U5s9r4Z@HIDDEN> <87v8rp9bdu.fsf@HIDDEN>
 <m37d43idbw.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAJFBMVEUwdskudspHfMsw
 etAuedCak9NlhM7Yo9cZccw1cbdQeKn///93HEaEAAAAAWJLR0QLH9fEwAAAAAd0SU1FB+YHGAkH
 HH/VAFgAAAGbSURBVDjLpVI7TsNAEJ0hRrQz0YY+NwDZB/DKcwEKkjoFikSFkFBuQB0KGo7gUzIf
 O/4EV6wly+s37735AehhAmTiyYHhLADISwxellrT4EP934cGYHOAAjkzNQj69KQKNu8kFl1lkyJN
 1XiFwP1pqymkRtCkCOzdFIXUzf6NkBsxmoAqIYLeRPLumUTKyr5LjVcjWJWl1Li72zqQk1RhAIVR
 Hl8+D5hMKnP2PhkCNeDtzZbEQiwrtXbgp23b79eW2MwCGKrfH/TqBMmarjNAvzenJ7T/ipACzA4g
 4fGkDPXIYv/YKjFnxuMHu1JWE1QhM1GAeL21TiWRlNnjOaQYqQN8HjZrB6CfuqToFXVDofFwqYao
 bw5wB5B7cIjlGHk/eY8fz/wLvMDQsXfKAZg1jbcqSXic5wsnk+0B35dRuuAZdZX/vYjT3aULwdoe
 WYkg2oJcbCI15FU1RHccjKYCzJBYJNPHKcPu1DV/ClCsGOAc8E5H42YMT1j1rghd0VfesZfUbcdw
 zoBDsTPg0h/47xkPbprWAuDmve8vj6FHl3JHDHgAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjItMDct
 MjRUMDk6MDc6MjgrMDA6MDB8fKDyAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIyLTA3LTI0VDA5OjA3
 OjI4KzAwOjAwDSEYTgAAAABJRU5ErkJggg==
X-Now-Playing: King Crimson's _Beat_: "Neurotica"
Date: Sun, 24 Jul 2022 11:21:59 +0200
Message-ID: <87ilnmyifc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: James Cloos <cloos@HIDDEN> writes: > LI> The third mouse
 button doesn't insert anything by default. > > his third button reference
 was presumably to the middle button. Perhaps Jean can clarify. (That button
 is called `mouse-2' in Emacs, so it'd be odd to refer to the middle button
 as "the third button".) 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56573
Cc: 56573 <at> debbugs.gnu.org, Jean Louis <bugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

James Cloos <cloos@HIDDEN> writes:

> LI> The third mouse button doesn't insert anything by default.
>
> his third button reference was presumably to the middle button.

Perhaps Jean can clarify.  (That button is called `mouse-2' in Emacs, so
it'd be odd to refer to the middle button as "the third button".)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56573; Package emacs. Full text available.

Message received at 56573 <at> debbugs.gnu.org:


Received: (at 56573) by debbugs.gnu.org; 24 Jul 2022 00:06:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 23 20:06:41 2022
Received: from localhost ([127.0.0.1]:46549 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oFP8r-0000Co-Ap
	for submit <at> debbugs.gnu.org; Sat, 23 Jul 2022 20:06:41 -0400
Received: from ore.jhcloos.com ([192.40.56.151]:53022)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cloos@HIDDEN>) id 1oFP8l-0000Ca-VG
 for 56573 <at> debbugs.gnu.org; Sat, 23 Jul 2022 20:06:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jhcloos.com;
 s=ore17; t=1658621194;
 bh=GtfKSd+M+9r8jnsb3pLEZpiNzwZ92rntYLRcKjAZM6A=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=rmXP4vCObdVZUQLza401pVq4hmkfVBJXf5vDNt/7UFV9POtQ5drteiyLXsknWTNG1
 vcUeonIOWWWg65XSOoqXE9HEsWTCG7iVHFCvah528Blih6q0kuMgLcmrxSB3O+yAvj
 XXl5qPH3+TOKn+Jc4058LSpfaDORO05o7L3ZbWkur0MZmQZm99JlSowWAVuuunQ133
 2EBLKVwn1sgfvy0nUXuzXD8B/UneiYA6ZtAW0NWrgfzMQa08tIXGgaDjSiBVcTO2yR
 LQoHmDWhaaPiaE3SgMXSMef4oE3nHSlKXRol7czu8cJgpYN706TlVLtIIdmMEtHoBb
 u9simj7bzVHHA==
Received: by ore.jhcloos.com (Postfix, from userid 10)
 id BE43C1E6F3; Sun, 24 Jul 2022 00:06:34 +0000 (UTC)
Received: by carbon.jhcloos.org (Postfix, from userid 500)
 id D731E12680C8; Sun, 24 Jul 2022 00:06:27 +0000 (UTC)
From: James Cloos <cloos@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#56573: 29.0.50; Cannot yank any more from X selection
In-Reply-To: <87v8rp9bdu.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 22 Jul 2022 21:48:45 +0200")
References: <8635f27fli.fsf@HIDDEN> <87tu7ik1by.fsf@HIDDEN>
 <YtTX0E1f9U5s9r4Z@HIDDEN> <87v8rp9bdu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAABAAAAAQAgMAAABinRfyAAAACVBMVEX///8ZGXBQKKnCrDQ3
 AAAAJElEQVQImWNgQAAXzwQg4SKASgAlXIEEiwsSIYBEcLaAtMEAADJnB+kKcKioAAAAAElFTkSu
 QmCC
Copyright: Copyright 2022 James Cloos
OpenPGP: 0x997A9F17ED7DAEA6;
 url=https://jhcloos.com/public_key/0x997A9F17ED7DAEA6.asc
OpenPGP-Fingerprint: E9E9 F828 61A4 6EA9 0F2B  63E7 997A 9F17 ED7D AEA6
Date: Sat, 23 Jul 2022 20:06:27 -0400
Message-ID: <m37d43idbw.fsf@HIDDEN>
Lines: 9
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56573
Cc: 56573 <at> debbugs.gnu.org, Jean Louis <bugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> "LI" == Lars Ingebrigtsen <larsi@HIDDEN> writes:

LI> The third mouse button doesn't insert anything by default.

his third button reference was presumably to the middle button.

-JimC
-- 
James Cloos <cloos@HIDDEN>         OpenPGP: 0x997A9F17ED7DAEA6




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56573; Package emacs. Full text available.

Message received at 56573 <at> debbugs.gnu.org:


Received: (at 56573) by debbugs.gnu.org; 22 Jul 2022 19:49:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 22 15:49:03 2022
Received: from localhost ([127.0.0.1]:42490 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oEydz-0001wM-39
	for submit <at> debbugs.gnu.org; Fri, 22 Jul 2022 15:49:03 -0400
Received: from quimby.gnus.org ([95.216.78.240]:42036)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oEydt-0001vk-TV
 for 56573 <at> debbugs.gnu.org; Fri, 22 Jul 2022 15:49:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=PlpaWdPIfISR0gMzUvk67hV4/AHmfSo4mSfVgr9TmGg=; b=gR3AkMsFI+QBhM9Vh12X6t7XSG
 DPJ+TdvF7X35c7f3q0jNfy7KafTjMBABEPHZxq0cGIkEL4r64Z/kM5QEQzvGl02XeYsPH8cvFWZcb
 BRKSlTEAqQWmCotKa4lNKUdRJJEiuzs/SI8JV2TIjqWLe+fH3JZcg6n48SOIB1NpHmUU=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oEydj-0002SM-IR; Fri, 22 Jul 2022 21:48:50 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#56573: 29.0.50; Cannot yank any more from X selection
In-Reply-To: <YtTX0E1f9U5s9r4Z@HIDDEN> (Jean Louis's message of
 "Mon, 18 Jul 2022 06:47:28 +0300")
References: <8635f27fli.fsf@HIDDEN> <87tu7ik1by.fsf@HIDDEN>
 <YtTX0E1f9U5s9r4Z@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEVKYF8YGRxkcYd0
 laOHs9P////cB5SaAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+YHFhMvM3g3wj4AAAGOSURBVDjLldPR
 ccMgDABQWXQA3Al0UgfgEAP0jPafqRKYxEmTu1YfdsyzkMAEtv1lILwGYPhnxg7vIL+D/a8AgPwI
 GVC1dVWt65V5Fx9ihohHAPIhJulAj4BFFK1IPQdwpXpVgstUCaSc4NHiMqdisO97DR0cfYKAHdu2
 MjCU4pEC4A6RV+KR9QG2vKaqFgALzntkePEjnRlb9Ow70L1oQOeo7sv2TbGI7q9gAAU0u0X3yXBm
 wBNs+yctsEvQqGk29u0Zdodvgj2/AA641rA6+mcpT9CPAckK30DjA0ulWGzSgByglX3h/oWY4/Nj
 8XMKVUdU32+gCZkcshzJh4VBmCYwkK8fuAT4c6riIOo//O7Zcyb0mkiV1QAqJSNCldGSA7NiM69K
 X37ls/gVSqOsuLoK6AOEat7xAnJCIvUzfYemJ6DDnKr1VqPrCSSkGaLc2NiSeuPOsys/mcoLxBpb
 gCo1uoGWZHaHsqD/AqHWTQM++oJOrTrMdgdUqxeQsblMaUI/IYGP+X9col0H1R+UuoybGnNYSAAA
 ACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMi0wNy0yMlQxOTo0Nzo1MSswMDowMJ1mFygAAAAldEVYdGRh
 dGU6bW9kaWZ5ADIwMjItMDctMjJUMTk6NDc6NTErMDA6MDDsO6+UAAAAAElFTkSuQmCC
X-Now-Playing: New Order's _Live At Alexandra Palace (2)_: "Blue Monday"
Date: Fri, 22 Jul 2022 21:48:45 +0200
Message-ID: <87v8rp9bdu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Jean Louis <bugs@HIDDEN> writes: > Yes, I have it. When
 I start Emacs it starts working normally, after a > while, it loses itself.
 It does not work. > > I mark text in XTerm and try to insert with third mouse
 button, even > that doe [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56573
Cc: 56573 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jean Louis <bugs@HIDDEN> writes:

> Yes, I have it. When I start Emacs it starts working normally, after a
> while, it loses itself. It does not work.
>
> I mark text in XTerm and try to insert with third mouse button, even
> that does not work. Trying to insert in minibuffer becomes impossible.

The third mouse button doesn't insert anything by default.

> But then again, it comes sometimes again, and starts working.
>
> It is hard to find out under which conditions it stops working. But
> then it becomes so annoying as it gives problems in work.

You don't happen to have a clipboard manager or something running?
Those can confuse things.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56573; Package emacs. Full text available.

Message received at 56573 <at> debbugs.gnu.org:


Received: (at 56573) by debbugs.gnu.org; 18 Jul 2022 06:01:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 18 02:01:42 2022
Received: from localhost ([127.0.0.1]:49039 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oDJp8-0008Do-EM
	for submit <at> debbugs.gnu.org; Mon, 18 Jul 2022 02:01:42 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:41783)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1oDJp4-0008Dc-Fk
 for 56573 <at> debbugs.gnu.org; Mon, 18 Jul 2022 02:01:41 -0400
Received: from localhost ([::ffff:197.239.4.247])
 (AUTH: PLAIN admin, TLS: TLS1.3,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 00000000000A3C53.0000000062D4F73E.00003D13; Sun, 17 Jul 2022 23:01:34 -0700
Date: Mon, 18 Jul 2022 06:47:28 +0300
From: Jean Louis <bugs@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#56573: 29.0.50; Cannot yank any more from X selection
Message-ID: <YtTX0E1f9U5s9r4Z@HIDDEN>
References: <8635f27fli.fsf@HIDDEN>
 <87tu7ik1by.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <87tu7ik1by.fsf@HIDDEN>
User-Agent: Mutt/+ () (2022-06-11)
X-Spam-Score: 2.6 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * Lars Ingebrigtsen <larsi@HIDDEN> [2022-07-15 15:28]: >
 Jean Louis <bugs@HIDDEN> writes: > > > I am observing that what I mark
 with mouse in XTerm I cannot any more > > paste into Emacs by usi [...] 
 Content analysis details:   (2.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.6 RCVD_IN_SBL            RBL: Received via a relay in Spamhaus SBL
 [197.239.4.247 listed in zen.spamhaus.org]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 56573
Cc: 56573 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.6 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * Lars Ingebrigtsen <larsi@HIDDEN> [2022-07-15 15:28]: >
    Jean Louis <bugs@HIDDEN> writes: > > > I am observing that what I mark
    with mouse in XTerm I cannot any more > > paste into Emacs by usi [...] 
 
 Content analysis details:   (1.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.6 RCVD_IN_SBL            RBL: Received via a relay in Spamhaus SBL
                             [197.239.4.247 listed in zen.spamhaus.org]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

* Lars Ingebrigtsen <larsi@HIDDEN> [2022-07-15 15:28]:
> Jean Louis <bugs@HIDDEN> writes:
> 
> > I am observing that what I mark with mouse in XTerm I cannot any more
> > paste into Emacs by using M-y. Let us say, it worked always without
> > problems. Recently, like last month, I am observing that it does not
> > work always.
> >
> > But now I observe I cannot at all paste it into minibuffer.
> 
> Do you have
> 
> 	(setq select-enable-primary t)
> 	(setq select-enable-clipboard nil)

Yes, I have it. When I start Emacs it starts working normally, after a
while, it loses itself. It does not work.

I mark text in XTerm and try to insert with third mouse button, even
that does not work. Trying to insert in minibuffer becomes impossible.

But then again, it comes sometimes again, and starts working.

It is hard to find out under which conditions it stops working. But
then it becomes so annoying as it gives problems in work.

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56573; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 56573 <at> debbugs.gnu.org:


Received: (at 56573) by debbugs.gnu.org; 15 Jul 2022 12:28:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 15 08:28:02 2022
Received: from localhost ([127.0.0.1]:39768 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oCKQL-0005ed-Mt
	for submit <at> debbugs.gnu.org; Fri, 15 Jul 2022 08:28:01 -0400
Received: from quimby.gnus.org ([95.216.78.240]:46452)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oCKQI-0005eN-I9
 for 56573 <at> debbugs.gnu.org; Fri, 15 Jul 2022 08:28:00 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=sgkVmAGE1C+m0y5CX3/tg2hDE4lJBNFd4G7RkkKoS+c=; b=Z5LjIgsIXqt31GAKM/nrxi0wQa
 wNAIHIKoKZOaT4zHl3EJDcxeFeYwXO2zEJKzt8To2xtNsCv9YCdaoDx4MeMpiCLSpZ4N3KuYqUKgX
 vDYcWfIBTjrT3eQnriEdss4yNQ87SZ7jTQuurJNngMm/moRbA8EUIEbhtHL/9wHNKnmU=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oCKQ8-0006uy-8j; Fri, 15 Jul 2022 14:27:51 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#56573: 29.0.50; Cannot yank any more from X selection
In-Reply-To: <8635f27fli.fsf@HIDDEN> (Jean Louis's message of
 "Fri, 15 Jul 2022 14:58:01 +0300")
References: <8635f27fli.fsf@HIDDEN>
X-Now-Playing: Ripatti's _Planet Mu 25_: "Flowers"
Date: Fri, 15 Jul 2022 14:27:45 +0200
Message-ID: <87tu7ik1by.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Jean Louis <bugs@HIDDEN> writes: > I am observing that
 what I mark with mouse in XTerm I cannot any more > paste into Emacs by using
 M-y. Let us say, it worked always without > problems. Recently, like last
 month, I am observing that [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56573
Cc: 56573 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jean Louis <bugs@HIDDEN> writes:

> I am observing that what I mark with mouse in XTerm I cannot any more
> paste into Emacs by using M-y. Let us say, it worked always without
> problems. Recently, like last month, I am observing that it does not
> work always.
>
> But now I observe I cannot at all paste it into minibuffer.

Do you have

	(setq select-enable-primary t)
	(setq select-enable-clipboard nil)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56573; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Jul 2022 12:01:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 15 08:01:46 2022
Received: from localhost ([127.0.0.1]:39753 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oCK0v-00050Q-Tg
	for submit <at> debbugs.gnu.org; Fri, 15 Jul 2022 08:01:46 -0400
Received: from lists.gnu.org ([209.51.188.17]:45740)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <admin@HIDDEN>) id 1oCK0r-00050G-L9
 for submit <at> debbugs.gnu.org; Fri, 15 Jul 2022 08:01:44 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:54068)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <admin@HIDDEN>)
 id 1oCK0r-0000in-Ft
 for bug-gnu-emacs@HIDDEN; Fri, 15 Jul 2022 08:01:41 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:56069)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <admin@HIDDEN>)
 id 1oCK0n-0006P2-1L
 for bug-gnu-emacs@HIDDEN; Fri, 15 Jul 2022 08:01:39 -0400
Received: from localhost ([::ffff:197.239.35.249])
 (AUTH: PLAIN admin, TLS: TLS1.3,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 00000000000A3C53.0000000062D156FE.000078DD; Fri, 15 Jul 2022 05:01:01 -0700
From: Jean Louis <bugs@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; Cannot yank any more from X selection
Date: Fri, 15 Jul 2022 14:58:01 +0300
Message-ID: <8635f27fli.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Received-SPF: pass client-ip=217.170.207.13;
 envelope-from=admin@HIDDEN; helo=stw1.rcdrun.com
X-Spam_score_int: -16
X-Spam_score: -1.7
X-Spam_bar: -
X-Spam_report: (-1.7 / 5.0 requ) BAYES_00=-1.9,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, SPF_HELO_PASS=-0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)


I am observing that what I mark with mouse in XTerm I cannot any more
paste into Emacs by using M-y. Let us say, it worked always without
problems. Recently, like last month, I am observing that it does not
work always.

But now I observe I cannot at all paste it into minibuffer.



In GNU Emacs 29.0.50 (build 12, x86_64-pc-linux-gnu, X toolkit, cairo version 1.17.6, Xaw3d scroll bars)
 of 2022-07-13 built on protected.rcdrun.com
Repository revision: 113a6a0a885c8bfb1f3c75a8a985a73686662113
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
System Description: Parabola GNU/Linux-libre

Configured using:
 'configure --with-x-toolkit=lucid'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY INOTIFY
PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS
WEBP X11 XAW3D XDBE XIM XINPUT2 XPM LUCID ZLIB

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: @im=exwm-xim
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media puny dired
dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg rfc6068
epg-config gnus-util text-property-search time-date subr-x mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
cl-loaddefs cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils rmc iso-transl tooltip eldoc paren electric
uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer nadvice seq simple cl-generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
faces cus-face macroexp files window text-properties overlay sha1 md5
base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo x-toolkit
xinput2 x multi-tty make-network-process emacs)

Memory information:
((conses 16 40669 8402)
 (symbols 48 5609 3)
 (strings 32 15443 1855)
 (string-bytes 1 479467)
 (vectors 16 10343)
 (vector-slots 8 157429 10555)
 (floats 8 24 21)
 (intervals 56 263 0)
 (buffers 992 11))

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/




Acknowledgement sent to Jean Louis <bugs@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#56573; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 24 Jul 2022 09:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.